## org.apache.commons.math.analysis.interpolation
Interface UnivariateRealInterpolator

All Known Implementing Classes:
  DividedDifferenceInterpolator, LoessInterpolator, NevilleInterpolator, SplineInterpolator

    public interface UnivariateRealInterpolator

Interface representing a univariate real interpolating function.

Version:
  $Revision: 799857 $ $Date: 2009-08-01 09:07:12 -0400 (Sat, 01 Aug 2009) $

Method Summary
`UnivariateRealFunction` `interpolate(double[] xval, double[] yval)` Computes an interpolating function for the data set.

Method Detail

### interpolate

    UnivariateRealFunction interpolate(double[] xval,
                                       double[] yval)
                                       throws MathException

  Computes an interpolating function for the data set.

  Parameters:
    `xval` - the arguments for the interpolation points
    `yval` - the values for the interpolation points
  Returns:
    a function which interpolates the data set
  Throws:
    `MathException` - if arguments violate assumptions made by the interpolationg algorithm

Copyright (c) 2003-2010 Apache Software Foundation